%define name libbluray
%define version 1.3.0

%define major 2
%define libname %mklibname bluray %major
%define devname %mklibname bluray -d

Summary:	Blu-Ray Disc playback library for media players
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.videolan.org/developers/libbluray.html
Source:		%{name}-%{version}.tar.xz
Patch1:		libbluray-default-java-home.patch
BuildRequires:	java-rpmbuild
BuildRequires:	ant
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)

%description
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

The library has support for navigation, playlist parsing, menus and BD-J.

For BD-J support, you need to install libbluray-java.

This package does not contain any DRM circumvention functionality, so you can
only play unprotected Blu-Ray discs with it as is.

%package -n %{libname}
Summary:	Blu-Ray Disc playback library for media players
Group:		System/Libraries
Requires:   %name

%description -n %{libname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

For BD-J support, you need to install libbluray-java.

This package does not contain any DRM circumvention functionality, so you can
only play unprotected Blu-Ray discs with it as is.

%package java
Summary:	BD-J support for libbluray
Group:		System/Libraries
Requires:	java
Requires:	jpackage-utils

%description java
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

This package contains the BD-J support for libbluray.

This package does not contain any DRM circumvention functionality.

%package -n %{devname}
Summary:	libbluray development files
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	bluray-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

These are the files needed for building programs using libbluray.
This package does not contain any DRM circumvention functionality.

%prep
%setup -q -n %{name}-%{version}

%build
# for ant
export JAVA_HOME=%{java_home}
./bootstrap
%configure2_5x --disable-static \
	--with-jdk=%{java_home} \
	--enable-bdjava
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d -m755 %{buildroot}%{_javadir}
install -m644 .libs/libbluray-j2se-%version.jar %{buildroot}%{_javadir}

# we don't want these
find %{buildroot} -name '*.la' -delete

%clean
rm -rf %{buildroot}


%files
%{_bindir}/bd_info
%{_bindir}/bd_list_titles
%{_bindir}/bd_splice

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{major}*

%files java
%defattr(-,root,root)
%{_javadir}

%files -n %{devname}
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Apr 30 2021 tex - 1.3.0-1pclos2021
- new version

* Sat Apr 06 2019 tex - 1.1.0-2pclos2019
- fix spec req java no version

* Thu Apr 04 2019 pp <pp> 1.1.0-1pclos2019
- update
